openSUSE Security Update : xen (openSUSE-2020-1608)

medium Nessus Plugin ID 141168

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for xen fixes the following issues :

- CVE-2020-25602: Fixed an issue where there was a crash when handling guest access to MSR_MISC_ENABLE was thrown (bsc#1176339,XSA-333)

- CVE-2020-25598: Added a missing unlock in XENMEM_acquire_resource error path (bsc#1176341,XSA-334)

- CVE-2020-25604: Fixed a race condition when migrating timers between x86 HVM vCPU-s (bsc#1176343,XSA-336)

- CVE-2020-25595: Fixed an issue where PCI passthrough code was reading back hardware registers (bsc#1176344,XSA-337)

- CVE-2020-25597: Fixed an issue where a valid event channels may not turn invalid (bsc#1176346,XSA-338)

- CVE-2020-25596: Fixed a potential denial of service in x86 pv guest kernel via SYSENTER (bsc#1176345,XSA-339)

- CVE-2020-25603: Fixed an issue due to missing barriers when accessing/allocating an event channel (bsc#1176347,XSA-340)

- CVE-2020-25600: Fixed out of bounds event channels available to 32-bit x86 domains (bsc#1176348,XSA-342)

- CVE-2020-25599: Fixed race conditions with evtchn_reset() (bsc#1176349,XSA-343)

- CVE-2020-25601: Fixed an issue due to lack of preemption in evtchn_reset() / evtchn_destroy() (bsc#1176350,XSA-344)

- Various other fixes (bsc#1027519)

This update was imported from the SUSE:SLE-15-SP2:Update update project.

Solution

Update the affected xen packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1027519

https://bugzilla.opensuse.org/show_bug.cgi?id=1176339

https://bugzilla.opensuse.org/show_bug.cgi?id=1176341

https://bugzilla.opensuse.org/show_bug.cgi?id=1176343

https://bugzilla.opensuse.org/show_bug.cgi?id=1176344

https://bugzilla.opensuse.org/show_bug.cgi?id=1176345

https://bugzilla.opensuse.org/show_bug.cgi?id=1176346

https://bugzilla.opensuse.org/show_bug.cgi?id=1176347

https://bugzilla.opensuse.org/show_bug.cgi?id=1176348

https://bugzilla.opensuse.org/show_bug.cgi?id=1176349

https://bugzilla.opensuse.org/show_bug.cgi?id=1176350

Plugin Details

Severity: Medium

ID: 141168

File Name: openSUSE-2020-1608.nasl

Version: 1.3

Type: local

Agent: unix

Published: 10/5/2020

Updated: 10/7/2020

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2020-25597

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.1

Temporal Score: 4.5

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:15.2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-doc-html:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-libs:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-libs-32bit:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-libs-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-tools:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-tools-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-tools-domu:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-tools-domu-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-libs-32bit-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xen-tools-xendomains-wait-disk:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 10/4/2020

Vulnerability Publication Date: 9/23/2020

Reference Information

CVE: CVE-2020-25602, CVE-2020-25596, CVE-2020-25601, CVE-2020-25604, CVE-2020-25603, CVE-2020-25599, CVE-2020-25595, CVE-2020-25598, CVE-2020-25597, CVE-2020-25600